@use '../utils/variables' as var;
@use '../utils/mixins';

.grades {
    @include mixins.wrapper;
    padding-left: 10px;
    padding-right: 10px;
}

.grades__title {
    color: var.$textcolor;
    text-align: center;
    font-weight: var.$font-extra-bold;
}

.grades__list {
    list-style: none;
    padding: 0;
}

.grades__subtitle {
    color: var.$textcolor;
    margin-bottom: 5px;
}

.grades__score {
    color: var.$textcolor;
    margin-bottom: 15px;
    margin-top: 15px;
}
.grades__reporter {
    color: var.$textcolor;
    margin-top: 15px;
}
.grades__text {
    color: var.$textcolor;
    font-size: 20px;
}

.grades__input {
    font-size: 22px;
    border-radius: 3px;
    color: var.$textcolor;
    border: 2px solid var.$navcolor;
    margin-bottom: 10px;

    &:focus {
        border: 2px solid var.$buttoncolor;
    }
}

.grades__option {
    color: var.$textcolor;
}

.grades__label {
    font-size: 22px;
    color: var.$textcolor;
    margin-top: 10px;
}

.grades__button {
    margin-top: 10px;
    margin-bottom: 10px;
    padding: 10px 20px 10px 20px;
    color: var.$textcolor;
    border: 0;
    background-color: var.$buttoncolor;
    font-size: 22px;
    border-radius: 3px;

    &:hover {
        opacity: 0.7;
    }
}